Skip to main content
Users
Developers
CloudPortalLogin
  • Powered byPowered by
Introduction to the Sitecore Send API
Getting started with the Sitecore Send API
API reference
  • Sitecore Send API documentation
  • API reference
  • Subscribers
  • Delete a subscriber

Delete a subscriber

POST /subscribers/{MailingListID}/delete.{Format}

Deletes a subscriber from the specified mailing list permanently without moving them to the suppression list.

Request

Parameter

In

Type

Required

Description

Accept

header

string

true

Determines the expected format and data type to retrieve the response data.

Value: application/json

MailingListID

path

string

true

The ID of the mailing list from which the subscriber should be deleted.

Format

path

string

true

The supported file format for getting a response.

Possible values: json and xml.

apikey

query

string

true

The API key of your account.

Email

body

string

true

The email address of the subscriber.

RequestResponse
POST https://{hostname}/v3/subscribers/{MailingListID}/delete.{format}?apikey=
Request body:
{
  "Email": "[email protected]"
}

Response

Status

Description

Headers

Schema

200 OK

The request is successful.

Content-Type:application/json

N/A

RequestResponse
{
  "Code": 0,
  "Error": null,
  "Context": null
}
  • Code - the response code. This is 0 if successful.

  • Error - the response error message. This is null if successful.

  • Context - this is null if successful.

Do you have some feedback for us?

If you have suggestions for improving this article,

Privacy policySitecore Trust CenterCopyright © 1999-2026 Sitecore